/*
1-----reset
2-----header
3-----body
4-----footer
5-----woocomerce
6-----form
7-----media
--e-global-color-primary: #64B5C3;
--e-global-color-secondary: #29839B;
--e-global-color-text: #505264;
--e-global-color-accent: #249F35;
--e-global-color-80334d9: #09243C;
--e-global-color-cf86c23: #FFCC53;
--e-global-typography-primary-font-family: "Roboto";
--e-global-typography-primary-font-weight: 600;
--e-global-typography-secondary-font-family: "Roboto";
--e-global-typography-secondary-font-weight: 400;
--e-global-typography-text-font-family: "Roboto";
--e-global-typography-text-font-weight: 400;
--e-global-typography-accent-font-family: "Roboto Condensed";
--e-global-typography-accent-font-weight: 500;
*/
/*RESET ****************************************************************************************/
::-webkit-scrollbar {
width: 8px;
background: var(--e-global-color-text);
}
::-webkit-scrollbar-track {
-webkit-box-shadow: inset 0 0 2px grey;
box-shadow: inset 0 0 2px grey;
border-radius: 0;
}
::-webkit-scrollbar-thumb {
background: var(--e-global-color-primary);
}
::-webkit-scrollbar-thumb:hover {
background: var(--e-global-color-primary);
}
.text-center {
text-align: center;
}
body {
overflow-x: hidden;
font-variant-numeric: lining-nums proportional-nums;
}
.hidden {
opacity: 0;
display: none;
}
.hide {
display: none;
} 
/*BODY ****************************************************************************************/
.post-day {
font-size: 40px;
font-weight: 400;
color: var(--e-global-color-80334d9);
display: block;
text-align: center;	
line-height: 40px;
}
.post-month {
font-weight: 300;
color: var(--e-global-color-80334d9);	
text-transform: lowercase;
display: block;
text-align: center;	
}
.elementor-pagination .page-numbers {
color: var(--e-global-color-80334d9);
display: -webkit-inline-box;
display: -ms-inline-flexbox;
display: inline-flex;
-webkit-box-align: center;
    -ms-flex-align: center;
        align-items: center;
-webkit-box-pack: center;
    -ms-flex-pack: center;
        justify-content: center;
font-weight: 500;
font-size: 16px;
width: 50px;
height: 50px;
border: 1px solid #dadee2;
border-radius: 50%;
}
.elementor-pagination .page-numbers:hover,
.elementor-pagination .page-numbers.current {
color: #fff;
background-color: var(--e-global-color-80334d9);
}
.toglle-btn {
cursor: pointer;
}
.seo-text {
max-height: 250px;
overflow: hidden;
position: relative;
}
.seo-text::before {
content: '';
display: block;
position: absolute;
bottom: 0;
right: 0;
left: 0;
height: 60px;
background: -o-linear-gradient(top, rgba(255, 255, 255, 0) 0%, #FFF 100%);
background: -webkit-gradient(linear, left top, left bottom, from(rgba(255, 255, 255, 0)), to(#FFF));
background: linear-gradient(top, rgba(255, 255, 255, 0) 0%, #FFF 100%);
z-index: 1;
}
.seo-text.active {
max-height: 100%;
}
.seo-text.active::before {
content: '';
background: transparent;
}
ul, ol {
padding-left: 15px;	
}
.term-description ul li {
list-style: disc!important;
}
a {
text-decoration: none!important;	
}
/*FOOTER ****************************************************************************************/
.progress-container {
width: 48px;
height: 48px;
}
.progress-ring {
-webkit-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
        transform: rotate(-90deg); /* Поворачиваем круг, чтобы заполнялся сверху */
}
.progress-ring__circle {
fill: none;
stroke: var(--e-global-color-cf86c23);
stroke-width: 3;
stroke-linecap: round;
stroke-dasharray: 138.16; 
stroke-dashoffset: 138.16; 
-webkit-transition: stroke-dashoffset 0.1s linear; 
-o-transition: stroke-dashoffset 0.1s linear; 
transition: stroke-dashoffset 0.1s linear;
}
a.scroll-top {
display: none;
width: 48px;
height: 48px;
border-radius: 50%;
background-color: var(--e-global-color-primary);
background-repeat: no-repeat;
background-position: center center;
background-image:
url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTEiIGhlaWdodD0iMjQiIHZpZXdCb3g9IjAgMCAxMSAyNCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj48cGF0aCBmaWxsLXJ1bGU9ImV2ZW5vZGQiIGNsaXAtcnVsZT0iZXZlbm9kZCIgZD0iTTUuODY5OCAxNi44MDU3QzUuNzAyMDEgMTYuNjU4IDUuMzc2NTEgMTYuNTI2MiA1LjA4NzkyIDE2Ljc1OTZMMCAyMS4wNDU2VjIzLjcwMDRDMC44Mjg4NTkgMjMuMDE0NiA1LjUyNDgzIDE5LjEzMDYgNS41MjQ4MyAxOS4xMzA2QzUuNTI0ODMgMTkuMTMwNiAxMC4xNzMyIDIzLjA0MzQgMTEgMjMuNzI4NVYyMS4wNzI5TDUuODY5OCAxNi44MDU3Wk01Ljg2OTggOC41MDI1OEM1LjcwMjAxIDguMzU0ODkgNS4zNzY1MSA4LjIyMzA1IDUuMDg3OTIgOC40NTY0N0wwIDEyLjc0MjRWMTUuMzk3M0MwLjgyODg1OSAxNC43MTE0IDUuNTI0ODMgMTAuODI3NSA1LjUyNDgzIDEwLjgyNzVDNS41MjQ4MyAxMC44Mjc1IDEwLjE3MzIgMTQuNzQwMiAxMSAxNS40MjU0VjEyLjc3MDVMNS44Njk4IDguNTAyNThaTTUuMDg3OTIgMC4xMjczODRDNS4zNzY1MSAtMC4xMDYwNDEgNS43MDIwMSAwLjAyNTgwMDcgNS44Njk4IDAuMTczNDkyTDExIDQuNDQxNDJWNy4wOTYyN0MxMC4xNzMyIDYuNDExMTMgNS41MjQ4MyAyLjQ5ODM3IDUuNTI0ODMgMi40OTgzN0M1LjUyNDgzIDIuNDk4MzcgMC44Mjg4NTkgNi4zODIzMSAwIDcuMDY4MTdWNC40MTMzMkw1LjA4NzkyIDAuMTI3Mzg0WiIgZmlsbD0id2hpdGUiLz48L3N2Zz4=);
position: fixed;
left: 20px;
bottom: 20px;
z-index: 20;
cursor: pointer;
}
a.scroll-top.active {
display: block;
}
/*FORM ****************************************************************************************/
.wpcf7-spinner,
.wpcf7-response-output,
.wpcf7-not-valid-tip {
display: none;
}
.elementor-widget-container form p {
margin-bottom: 10px;	
}
.woocommerce-billing-fields form input[type=date], .woocommerce-billing-fields form input[type=email], .woocommerce-billing-fields form input[type=number], .woocommerce-billing-fields form input[type=password], .woocommerce-billing-fields form input[type=tel], .woocommerce-billing-fields form input[type=text], .woocommerce-billing-fields form input[type=url], .woocommerce-billing-fields form select, .elementor-widget-container form input[type=date], .elementor-widget-container form input[type=email], .elementor-widget-container form input[type=number], .elementor-widget-container form .elementor-widget-container input[type=password], .elementor-widget-container form input[type=tel], .elementor-widget-container form input[type=text], .elementor-widget-container form input[type=url], .elementor-widget-container form select {
border: 1px solid #21252933!important;
border-radius: 13px!important;
padding: 13px 20px!important;
width: 100%;
background-color: #fff!important;
margin-bottom: 15px!important;
position: relative!important;
}
.elementor-widget-container form select {
position: relative;	
border: 1px solid #21252933;
padding: 13px 20px;
width: 100%;
margin-bottom: 15px;
border-radius: 13px;
}
.elementor-widget-container form input[type=date]:focus-visible, .elementor-widget-container form input[type=email]:focus-visible, .elementor-widget-container form input[type=number]:focus-visible, .elementor-widget-container form input[type=password]:focus-visible, .elementor-widget-container form input[type=search]:focus-visible, .elementor-widget-container form input[type=tel]:focus-visible, .elementor-widget-container form input[type=text]:focus-visible, .elementor-widget-container form input[type=url]:focus-visible, .elementor-widget-container form select:focus-visible, .elementor-widget-container form textarea:focus-visible {
outline: 1px;
}
.woocommerce-billing-fields form textarea,
.elementor-widget-container form textarea {
border-radius: 0px;	
border: 1px solid #21252933;
background-color: transparent;
padding: 13px 15px;
min-height: 120px;
height: 120px;
width: 100%;
margin-bottom: 15px;
background-color: #fff;
border-radius: 13px;
}
.elementor-widget-container form input[type=submit] {
background-color: var(--e-global-color-80334d9);
padding: 23px 35px 20px 35px;
font-size: 15px;
border-style: solid;
line-height: 1;
border-width: 0px;
margin-bottom: 15px;
font-weight: 500;
}
.elementor-widget-container form input[type=submit]:hover {
background-color: var(--e-global-color-cf86c23);
}
p.accept {
font-size: 13px;
margin-bottom: 15px!important;
margin-left: 15px;
margin-right: 15px;
font-weight: 300;
text-align: center;
}
.wpcf7-not-valid {
border-color: #cf2e2e!important;
}
.flex p {
grid-template-columns: repeat(2, 1fr);
display: grid;
gap: 15px;
}
/*WOOCOMERCE ****************************************************************************************/
.custom-labels {
display: -webkit-inline-box;
display: -ms-inline-flexbox;
display: inline-flex;
-webkit-box-orient: vertical;
-webkit-box-direction: normal;
    -ms-flex-direction: column;
        flex-direction: column;
gap: 2px;
}
.custom-labels span {
width: 50px;
text-align: center;
font-size: 14px;
font-weight: 300;
}
.custom-labels span.new {
color: #fff;
background-color: var(--e-global-color-accent);
}
.custom-labels span.top {
color: #fff;
background-color: var(--e-global-color-secondary);
}
.custom-labels span.discount {
color: #fff;
background-color: var(--e-global-color-primary);
}
.woocommerce div.quantity input.qty::-webkit-outer-spin-button,
.woocommerce div.quantity input.qty::-webkit-inner-spin-button {
-webkit-appearance: none;
margin: 0;
}
.woocommerce div.quantity input.qty {
-moz-appearance: textfield;
height: 50px!important;
margin-top: 7px;
padding: 0 20px;
}
.woocommerce .quantity.custom-quantity button {
border: none;
color: var(--e-global-color-80334d9)!important;
font-weight: 500;
background-color: var(--e-global-color-cf86c23)!important;
padding: 5px 13px!important;
border-radius: 5px;
margin-top: 17px!important;	
} 
.woocommerce .quantity.custom-quantity button.plus {
margin-left: 0px!important;	
}
.wcpf-filter-inner,
.widget_shopping_cart_content,
.product-categories {
padding: 0 20px;
}
.product-categories li:not(:last-child) {
margin-bottom: 8px;
}
.product-categories li a {
font-size: 18px;	
display: block;	
width: 100%;	
position: relative;
color: var(--e-global-color-text);	
font-weight: 500;
-webkit-transition: 0.25s cubic-bezier(0.645, 0.045, 0.355, 1);
-o-transition: 0.25s cubic-bezier(0.645, 0.045, 0.355, 1);
transition: 0.25s cubic-bezier(0.645, 0.045, 0.355, 1);
}
.product-categories li.current-cat a,
.product-categories li a:hover {
color: var(--e-global-color-80334d9);	
padding-left: 20px;
}
.product-categories li a::before {
content: '';
position: absolute;
left: 0;
top: 50%;
-webkit-transform: translateY(-50%) scale(0);
    -ms-transform: translateY(-50%) scale(0);
        transform: translateY(-50%) scale(0);
width: 15px;
height: 15px;
-webkit-transition: 0.25s cubic-bezier(0.645, 0.045, 0.355, 1);
-o-transition: 0.25s cubic-bezier(0.645, 0.045, 0.355, 1);
transition: 0.25s cubic-bezier(0.645, 0.045, 0.355, 1);
background-image: url(/wp-content/uploads/small-right.svg);
background-position: center center;
background-repeat: no-repeat;
background-size: contain;
}
.product-categories li.current-cat a::before,
.product-categories li a:hover:before {
-webkit-transform: translateY(-50%) scale(1);
    -ms-transform: translateY(-50%) scale(1);
        transform: translateY(-50%) scale(1);
}
.widget .priceLabel {
display: none!important;	
}
.wcpf-field-price-slider .ui-slider .ui-slider-range {
background-color: var(--e-global-color-cf86c23);
}
.wcpf-field-price-slider .ui-slider .ui-slider-handle {
background-color: var(--e-global-color-80334d9);
}
.wcpf-button.wcpf-button-action-reset {
background-color: var(--e-global-color-cf86c23);
color: var(--e-global-color-80334d9);
padding: 23px 35px 20px 35px;
font-size: 15px;
line-height: 1;
border-width: 0px;
font-weight: 500;
border-radius: 13px;
}
.wcpf-button.wcpf-button-action-reset:hover {
color: #fff;
background-color: var(--e-global-color-80334d9);
}
.woocommerce-product-details__short-description ul {
list-style: disc!important;
padding-left: 15px;	
}
.woocommerce-product-details__short-description ul li {
list-style: disc!important;	
}
button.single_add_to_cart_button {
background-color: var(--e-global-color-80334d9)!important;	
color: #FFFFFF!important;	
border-radius: 13px 13px 13px 13px!important;	
padding: 20px 35px 20px 35px!important;	
font-size: 18px;
height: 61px!important;
}
button.single_add_to_cart_button:hover {
background-color: var(--e-global-color-cf86c23)!important;
color: var(--e-global-color-80334d9)!important;	
}
a.added_to_cart.wc-forward {
display: none!important;
}
.single_add_to_cart_button.added::after {
display: none!important;
}
.woocommerce-Tabs-panel.entry-content h2 {
display: none!important;
}
